<?php
//Created by ARDORA www.webardora.net
//ardoraPoster - uploadImage.php
$_SERVER["HTTP_REFERER"]="introDatos.php";
session_start();
include_once ("para.php");include_once (profUname.uName."/".uName."_lib.php");
$slogin_noauthpage = 0;$slogin_pagetitle = "";session_cache_limiter("nocache,private");ini_set("memory_limit","80M");
$folderGroup=$_GET["folderG"];$indi=$_GET["indi"];$indi=(int)$indi;$path = "../".folderWork;
if ($indi==0){$contador=0;
  while (file_exists($path.$slogin_Username."_".$contador.".txt")){$contador++;}}
 else{$contador=$indi-1;}
$anchoMAX= trim($_POST["anchoOriginal"]);
$anchoPeque= trim($_POST["anchoThumb"]); $comentario= trim($_POST["comentaImaxen"]);
$alternativo= trim($_POST["altImaxen"]); $url= trim($_POST["urlImaxen"]);
$nomeArquivo=$slogin_Username."_".$contador;
if ($indi>0){ $arquivo = file($path.$nomeArquivo.".txt"); $nomeImaxen=$arquivo[4];}
else{$nomeImaxen="";}
error_reporting(E_ALL);
$mimetypes = array("image/jpeg", "image/pjpeg", "image/gif", "image/png","image/x-png");
$foto_nome = $_FILES["imaxen"]["name"]; $foto_tipo = $_FILES["imaxen"]["type"];
$foto_tmp = $_FILES["imaxen"]["tmp_name"]; $foto_tam = $_FILES["imaxen"]["size"];
if ($foto_nome != "" AND $foto_tam != 0){
if(!in_array($foto_tipo, $mimetypes)) die("Tipo de arquivo non permitido");
 switch($foto_tipo) {
 case $mimetypes[0]:
 case $mimetypes[1]:
 $img = imagecreatefromjpeg($foto_tmp); break;
 case $mimetypes[2]:
 $img = imagecreatefromgif($foto_tmp);break;
 case $mimetypes[3]:
 case $mimetypes[4]:
    $img = imagecreatefrompng($foto_tmp);break;
}
$datos = getimagesize($foto_tmp);
$altura = round($anchoMAX*$datos[1]/$datos[0]);
$imaGrande = imagecreatetruecolor($anchoMAX,$altura);
imagecopyresized($imaGrande, $img, 0, 0, 0, 0, $anchoMAX, $altura, $datos[0], $datos[1]);
switch($foto_tipo) {
   case $mimetypes[0]:
   case $mimetypes[1]:
   imagejpeg($imaGrande,$path.$folderGroup."/img/original/".$nomeArquivo.".jpg");
   $nomeImaxen=$nomeArquivo.".jpg";break;
   case $mimetypes[2]:
   imagegif($imaGrande,$path.$folderGroup."/img/original/".$nomeArquivo.".gif");
   $nomeImaxen=$nomeArquivo.".gif";break;
   case $mimetypes[3]:
   imagepng($imaGrande,$path.$folderGroup."/img/original/".$nomeArquivo.".png");
   $nomeImaxen=$nomeArquivo.".png";break;
}
$altura = round($anchoPeque*$datos[1]/$datos[0]);
$imaPeque = imagecreatetruecolor($anchoPeque,$altura);
imagecopyresized($imaPeque, $img, 0, 0, 0, 0, $anchoPeque, $altura, $datos[0], $datos[1]);
switch($foto_tipo) {
   case $mimetypes[0]:
   case $mimetypes[1]:
   imagejpeg($imaPeque,$path.$folderGroup."/img/thumbs/".$nomeArquivo.".jpg");
   echo("success".$path.$folderGroup."/img/thumbs/".$nomeArquivo.".jpg"); break;
   case $mimetypes[2]:
   imagegif($imaPeque,$path.$folderGroup."/img/thumbs/".$nomeArquivo.".gif");
   echo("success".$path.$folderGroup."/img/thumbs/".$nomeArquivo.".gif");break;
   case $mimetypes[3]:
   imagepng($imaPeque,$path.$folderGroup."/img/thumbs/".$nomeArquivo.".png");
   echo("success".$path.$folderGroup."/img/thumbs/".$nomeArquivo.".png"); break;
}
@unlink($foto_tmp); @unlink($imaGrande); @unlink($imaPeque);
}else{ echo("Arquivo no válido");}
$ar=fopen($path.$nomeArquivo.".txt","w") or die("no se pudo crear el archivo");
fputs($ar,$slogin_Username); fputs($ar,"\n"); fputs($ar,"IMAGE"); fputs($ar,"\n");
fputs($ar,trim($comentario)); fputs($ar,"\n"); fputs($ar,trim($alternativo)); fputs($ar,"\n");
fputs($ar,$url); fputs($ar,"\n"); fputs($ar,trim($nomeImaxen)); fputs($ar,"\n"); fclose($ar); ?>
